Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E17: Your display driver does not support opengl.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Tue Feb 18, 2014 11:22 pm    Post subject: E17: Your display driver does not support opengl. Reply with quote

Hey guys, when I login to e17 I get a message saying your display driver does not support opengl or no opengl engines were compiled or installed for evas or ecore-evas. But glxinfo says rendering is on and everything I have checked seems to be in working order. Can someone help me please I have been trying in IRC to get help but no one has been able to fix this. Thanks!

My lspci is
Code:
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV280 [Radeon 9200 PRO] (rev 01)


My glxinfo is glxinfo | grep rende
direct rendering: Yes
OpenGL renderer string: Mesa DRI R200 (RV280 5960) x86/MMX/SSE2 TCL DRI2[/code]

I installed E17 by running
Code:
emerge --ask enlightenment:0.17


it looks like this

Code:
Calculating dependencies... done!
[ebuild   R   ~] x11-wm/enlightenment-0.17.6:0.17/0.17.6  USE="nls pam spell static-libs udev -doc -ukit" ENLIGHTENMENT_MODULES="backlight battery clock comp conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers connman cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager quickaccess shot start syscon systray tasks temperature tiling winlist wizard xkbswitch -access" 0 kB



It pulled in these
Code:
x11-wm/enlightenment-0.17.6:
 [  0]  x11-wm/enlightenment-0.17.6   
 [  1]  sys-libs/pam-1.1.6-r2   
 [  1]  dev-libs/efl-1.8.5   
 [  1]  dev-libs/e_dbus-1.7.10   
 [  1]  x11-libs/xcb-util-keysyms-0.3.9   
 [  1]  sys-devel/automake-1.13.4   
 [  1]  sys-devel/automake-1.14.1   
 [  1]  sys-devel/autoconf-2.69   
 [  1]  sys-devel/libtool-2.4.2   
 [  1]  app-doc/doxygen-1.8.3.1   
 [  1]  sys-devel/gettext-0.18.2   


Finally the use flags set are
Code:
USE="iconv mbox -maildir device-mapper cdda dri dri2 qt4 static-libs \
postgres emerald threads apache2 mysql sqlite berkdb innodb php ftp zip \
python imlib static-libs suhosin curl tidy soap mysqli pdo gd cgi hash simplexml pcre \
radeon startup-notification branding session xml xml2 secure-delete git X samba evdev \
ati -wayland -gles svg xcomposite alsa pulseaudio dbus udev hal extras consolekit gtk cairo \
eet evas egl audio jpeg png mng fbcondecor gnutls subversion -cups -doc -ipv6 \
sip opengl x86 kdrive wav unicode pam ssl truetype type1 \
cleartype corefonts policykit bindist -kde -gnome qt4 alsa"


emerge -pv efl looks a little like this
Code:
Calculating dependencies... done!
[ebuild   R   ~] dev-libs/efl-1.8.5  USE="X audio bmp eet egl fontconfig gif gnutls ico jpeg nls opengl png ppm psd pulseaudio sdl ssl tiff -debug -doc -drm -fbcon -fribidi -gles -glib -gstreamer -harfbuzz -ibus -jp2k -physics -pixman -scim -systemd -tga -tslib -v4l2 -wayland -webp -xcb -xim -xine -xpm" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB


I cant think of what else to show you please let me know! thanks!
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
olek
Apprentice
Apprentice


Joined: 22 Oct 2011
Posts: 173

PostPosted: Wed Feb 19, 2014 4:13 pm    Post subject: Reply with quote

Quote:
or no opengl engines were compiled or installed for evas or ecore-evas


So what about
Code:
equery u media-libs/evas
?
_________________
https://plaintext.blog
Back to top
View user's profile Send private message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Wed Feb 19, 2014 9:02 pm    Post subject: RE: what about evas. Reply with quote

Code:

* Found these USE flags for media-libs/evas-1.7.9:
 U I
 + + X           : Add support for X11
 - - bidi        : Enable bidirectional language support
 + - bmp         : Support windows bitmap (bmp) image loader
 - - directfb    : Add support for DirectFB layer (library for FB devices)
 - - doc         : Add extra documentation (API, Javadoc, etc). It is recommended to
                   enable per package instead of globally
 + + eet         : Support dev-libs/eet
 - - fbcon       : Add framebuffer support for the console, via the kernel
 + - fontconfig  : Support for configuring and customizing font access via
                   media-libs/fontconfig
 + + gif         : Add GIF image support
 - - gles        : Enable gles flavor of gl instead of standard
 + - ico         : Support windows icon (ico) image loader
 + + jpeg        : Add JPEG image support
 - - mmx         : Use the MMX instruction set
 + + nls         : Add Native Language Support (using gettext - GNU locale utilities)
 + + opengl      : Add support for OpenGL (3D graphics)
 + + png         : Add support for libpng (PNG images)
 + - ppm         : Support PPM image loader
 + - psd         : Support PSD image loader
 - - sse         : Use the SSE instruction set
 - - sse3        : Use the SSE3 instruction set (pni in cpuinfo)
 + + static-libs : Build static versions of dynamic libraries as well
 - - tga         : Support tga image loader
 + + tiff        : Add support for the TIFF image format
 - - wayland     : Add support for dev-libs/wayland
 + + xcb         : Support the X C-language Binding, a replacement for Xlib
 - - xpm         : Add support for XPM graphics format


Thanks
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Thu Feb 20, 2014 7:40 am    Post subject: Reply with quote

Remove xcb USE flag.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Thu Feb 20, 2014 5:07 pm    Post subject: Reply with quote

Alright, and what exactly do you want me to reemerge once I have added -xcb to make.conf use flags? An emerge -auDNv world only called in cairo and pycairo with -xcb and if I manually reinstall efl it doesnt notice the -xcb or seem to care. Also evas does not appear to be installed as if i try to emerge it it comes up as a new install and has blockers to add to my pains. Thanks.
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Fri Feb 21, 2014 1:03 am    Post subject: Reply with quote

Ah. So you are using efl instead of the split builds. Sorry, didn't notice that.

efl also depends on xcb but it seems you have already merged it without xcb. Maybe show us the output of efl instead of evas:
Code:
emerge -pv efl

_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Fri Feb 21, 2014 3:24 pm    Post subject: Reply with quote

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ~] dev-libs/efl-1.8.5 USE="X audio bmp eet egl fontconfig gif gnutls ico jpeg nls opengl png ppm psd pulseaudio sdl ssl tiff -debug -doc -drm -fbcon -fribidi -gles -glib -gstreamer -harfbuzz -ibus -jp2k -physics -pixman -scim -systemd -tga -tslib -v4l2 -wayland -webp -xcb -xim -xine -xpm" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Sun Feb 23, 2014 1:00 am    Post subject: Reply with quote

eurabilis wrote:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ~] dev-libs/efl-1.8.5 USE="X audio bmp eet egl fontconfig gif gnutls ico jpeg nls opengl png ppm psd pulseaudio sdl ssl tiff -debug -doc -drm -fbcon -fribidi -gles -glib -gstreamer -harfbuzz -ibus -jp2k -physics -pixman -scim -systemd -tga -tslib -v4l2 -wayland -webp -xcb -xim -xine -xpm" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Can you try re-emerging efl without the egl USE flag? It is supposed to be for embedded systems.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Sun Feb 23, 2014 10:46 pm    Post subject: Reply with quote

Hey. I did that and it still doesn't appear to work. I get the error when I start X. Thanks.
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Sun Feb 23, 2014 11:48 pm    Post subject: Reply with quote

eurabilis wrote:
Hey. I did that and it still doesn't appear to work. I get the error when I start X. Thanks.
Am out of ideas here. Try emailing the enlightenment users mailing list.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
eurabilis
n00b
n00b


Joined: 22 Jun 2010
Posts: 66
Location: Warwick, Rhode island, USA

PostPosted: Mon Feb 24, 2014 1:29 am    Post subject: Reply with quote

Thank you for your time I appreciate it.
_________________
--
I am my only local user and I cannot be trusted. This is a generally a very bad thing. Thing is, with *nix where there is a shell there is a way.
Back to top
View user's profile Send private message
Aonoa
Guru
Guru


Joined: 23 May 2002
Posts: 589

PostPosted: Sun Mar 23, 2014 2:05 am    Post subject: Reply with quote

Have you set the proper OpenGL driver with eselect? If it is currently at xorg-x11, then what you're attempting won't work.

To see which are your options, you can type:
eselect opengl list

For me, I have chosen nvidia:
eselect opengl set 1


I hope this helps. :-)
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5592

PostPosted: Sat Mar 29, 2014 2:59 pm    Post subject: Reply with quote

Ignore the above post as it's completely uninformed. xorg-x11 is the correct, and only, option for that Radeon AGP card.



You have an OpenGL 1.4 card. E17 makes use of "advanced" features like shaders; to sum it up you're not going to get hardware acceleration at all.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum